Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.richtext
Class AbstractRichTextSpellChecker

    java.lang.Object
      echopointng.richtext.AbstractRichTextSpellChecker

All Implemented Interfaces:
  RichTextSpellChecker

    public abstract class AbstractRichTextSpellChecker

extends java.lang.Object
implements RichTextSpellChecker

`AbstractRichTextSpellChecker` can be used as basis for building more complex spell checkers. It provides a parsing mechanbism for break text buffers into a series of words.

The derived class must then provide the checkWords() functionality.

Nested Class Summary

Nested classes/interfaces inherited from interface echopointng.richtext.RichTextSpellChecker
`RichTextSpellChecker.SpellCheckerWord`

Constructor Summary
`AbstractRichTextSpellChecker()`

Method Summary
`RichTextSpellChecker.SpellCheckerWord[]` | `parseWords(java.lang.String textBuffer)` This method is called to break a text buffer into a series of words.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.richtext.RichTextSpellChecker
`checkWord`

Constructor Detail

### AbstractRichTextSpellChecker

    public AbstractRichTextSpellChecker()

Method Detail

### parseWords

    public RichTextSpellChecker.SpellCheckerWord[] parseWords(java.lang.String textBuffer)

  Description copied from interface: `RichTextSpellChecker`
  This method is called to break a text buffer into a series of words. Characters within the text buffer can be overlook for spelling purposes for example. This method allows different rules to be applied by the spell check on what consitutues a word to be spell checked.

  This method may be called with all whitespace or punctuation. The implementor must take care to ensure its word parsing takes tis into account.

  Specified by:
    `parseWords` in interface `RichTextSpellChecker`
  Parameters:
    `textBuffer` - - the text buffer that may contain zero or more words.
  Returns:
    a non null buffer of SpellCheckWords for the passed in text buffer
  See Also:
    `RichTextSpellChecker.parseWords(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD